<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Dokumente;

class DokumenteController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getRequestObj()
  {
    $requestObj = new DokumenteRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new DokumenteUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DokumentePresenter($pUseCaseResponse);
  }
}